Subject: Re: [PATCH] diff: make -M -C mean the same as -C -M

From: Junio C Hamano <[email-masked]>
Date: Fri, 23 Jan 2015 14:34:47 -0800

Mike Hommey <[email-masked]> writes:

>> In the context of "git blame", "-C" and "-M" control orthogonal
>> concepts and it makes sense to use only one but not the other, or
>> both.
>
> In the context of blame both -C and -M |= a flags set, so one doesn't
> override the other. You can place them in any order, the result will be
> the same. Incidentally, -C includes the flag -M sets, so -C -M is
> actually redundant. What -C and -M can be used for is set different
> scores (-C9 -M8).

Yes.  That is what I meant by "orthogonal" and "makese sense to use
only one but not the other, or both".  As they are not related with
each other, it makes sense to mix them freely, unlike "-C/-M" given
to diff.